<?php

namespace Application\Service\Exceptions;

use Throwable;

class BaseLogicException extends \LogicException
{
    /**
     * 是否记录请求信息
     * @var bool
     */
    public bool $isRecord = false;

    public function __construct($message = "You have a invalid argument.", $code = 0, Throwable $previous = null)
    {
        parent::__construct($message, $code, $previous);
    }
}
